Nimply Developers
API ReferenceAutomations

Get an automation

GET
/v1/automations/{id}

Its trigger and steps in plain words, the full graph, status, version and last/next run. Recent runs: GET …/runs.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/automations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "9d2f4b1a-6c3e-4f8a-b5d7-1e0a2c4b6d8f",  "name": "Monday planning reminder",  "description": "string",  "status": "DRAFT",  "pausedReason": "CHANNEL_REMOVED",  "managedBy": null,  "trigger": {    "type": "trigger.schedule",    "summary": "On a schedule (0 9 * * 1 UTC)"  },  "steps": [    {      "id": "notify",      "type": "action.notify",      "name": "Send notification",      "summary": "message: Time to plan the week"    }  ],  "graph": {    "nodes": [      {        "id": "notify",        "type": "action.notify",        "name": "Remind the team",        "position": {          "x": 420,          "y": 200        },        "params": {}      }    ],    "edges": [      {        "id": "e1",        "source": "trigger",        "target": "notify",        "sourceHandle": "main"      }    ]  },  "tags": [    "planning"  ],  "version": 1,  "activateInApp": false,  "lastRunAt": "string",  "nextRunAt": "string",  "createdAt": "2026-10-29T09:00:00.000Z",  "updatedAt": "2026-10-29T09:00:00.000Z",  "appUrl": "https://app.nimply.io/workspace/8b2e5821-…/automations/9d2f4b1a-…"}
Empty